[llvm-commits] [parallel] CVS: llvm/LICENSE.TXT Makefile Makefile.config.in Makefile.rules configure
Misha Brukman
brukman at cs.uiuc.edu
Mon Mar 1 17:55:02 PST 2004
Changes in directory llvm:
LICENSE.TXT updated: 1.4 -> 1.4.4.1
Makefile updated: 1.15 -> 1.15.2.1
Makefile.config.in updated: 1.16 -> 1.16.2.1
Makefile.rules updated: 1.169 -> 1.169.2.1
configure updated: 1.69 -> 1.69.2.1
---
Log message:
Merge from trunk
---
Diffs of the changes: (+836 -300)
Index: llvm/LICENSE.TXT
diff -u llvm/LICENSE.TXT:1.4 llvm/LICENSE.TXT:1.4.4.1
--- llvm/LICENSE.TXT:1.4 Mon Oct 27 11:56:26 2003
+++ llvm/LICENSE.TXT Mon Mar 1 17:54:05 2004
@@ -49,3 +49,48 @@
have its own individual LICENSE.TXT file in the directory in which it appears.
This file will describe the copyrights, license, and restrictions which apply
to that code.
+
+The disclaimer of warranty in the University of Illinois Open Source License
+applies to all code in the LLVM Distribution, and nothing in any of the
+other licenses gives permission to use the names of the LLVM Team or the
+University of Illinois to endorse or promote products derived from this
+Software.
+
+The following pieces of software have additional or alternate copyrights,
+licenses, and/or restrictions:
+
+Program Directory
+------- ---------
+Autoconf: llvm/autoconf
+ llvm/projects/ModuleMaker/autoconf
+ llvm/projects/sample/autoconf
+Burg: llvm/utils/Burg
+ llvm/test/Programs/MultiSource/Applications/Burg
+Aha: llvm/test/Programs/MultiSource/Applications/aha
+SGEFA: llvm/test/Programs/MultiSource/Applications/sgefa
+SIOD: llvm/test/Programs/MultiSource/Applications/siod
+D: llvm/test/Programs/MultiSource/Applications/d
+Lambda: llvm/test/Programs/MultiSource/Applications/lambda-0.1.3
+hbd: llvm/test/Programs/MultiSource/Applications/hbd
+Fhourstones: llvm/test/Programs/MultiSource/Benchmarks/Fhourstones
+McCat: llvm/test/Programs/MultiSource/Benchmarks/McCat
+Olden: llvm/test/Programs/MultiSource/Benchmarks/Olden
+OptimizerEval: llvm/test/Programs/MultiSource/Benchmarks/OptimizerEval
+Ptrdist: llvm/test/Programs/MultiSource/Benchmarks/Ptrdist
+LLUBenchmark: llvm/test/Programs/MultiSource/Benchmarks/llubenchmark
+SIM: llvm/test/Programs/MultiSource/Benchmarks/sim
+cfrac: llvm/test/Programs/MultiSource/Benchmarks/MallocBench/cfrac
+espresso: llvm/test/Programs/MultiSource/Benchmarks/MallocBench/espresso
+gs: llvm/test/Programs/MultiSource/Benchmarks/MallocBench/gs
+p2c: llvm/test/Programs/MultiSource/Benchmarks/MallocBench/p2c
+gawk: llvm/test/Programs/MultiSource/Benchmarks/MallocBench/gawk
+make: llvm/test/Programs/MultiSource/Benchmarks/MallocBench/make
+perl: llvm/test/Programs/MultiSource/Benchmarks/MallocBench/perl
+Dhrystone: llvm/test/Programs/SingleSource/Benchmarks/Dhrystone
+SingleSource Tests: llvm/test/Programs/SingleSource/Benchmarks/Misc
+ llvm/test/Programs/SingleSource/CustomChecked
+ llvm/test/Programs/SingleSource/Gizmos
+GNU Libc: llvm/runtime/GCCLibraries/libc
+Zlib Library: llvm/runtime/zlib
+PNG Library: llvm/runtime/libpng
+
Index: llvm/Makefile
diff -u llvm/Makefile:1.15 llvm/Makefile:1.15.2.1
--- llvm/Makefile:1.15 Tue Jan 13 01:09:56 2004
+++ llvm/Makefile Mon Mar 1 17:54:05 2004
@@ -7,9 +7,13 @@
#
##===----------------------------------------------------------------------===##
LEVEL = .
-DIRS = lib/Support utils lib tools runtime
+DIRS = lib/Support utils lib tools
OPTIONAL_DIRS = projects
+ifneq ($(MAKECMDGOALS),tools-only)
+DIRS += runtime
+endif
+
include $(LEVEL)/Makefile.common
test :: all
@@ -22,22 +26,27 @@
$(LEVEL)/config.log \
$(LEVEL)/TAGS
-tools-only:
- @for dir in lib/Support utils lib tools; do $(MAKE) -C $$dir; done
-
-configure: autoconf/configure.ac autoconf/aclocal.m4
- cd autoconf && aclocal && autoconf -o ../configure configure.ac
-
-include/Config/config.h.in: autoconf/configure.ac autoconf/aclocal.m4
- autoheader -I autoconf autoconf/configure.ac
-
-# Install support for llvm include files.
+tools-only: all
+# Install support for llvm include files:
.PHONY: install-includes
install-includes:
- $(MKDIR) $(includedir)/llvm
- cd include && find * '!' '(' -name '*~' -o -name .cvsignore ')' -print | grep -v CVS | pax -rwdvpe $(includedir)/llvm
+ $(MKDIR) $(DESTDIR)$(includedir)/llvm
+ cd include && find * '!' '(' -name '*~' -o -name .cvsignore ')' -print | grep -v CVS | pax -rwdvpe $(DESTDIR)$(includedir)/llvm
+ifneq ($(BUILD_SRC_ROOT),$(BUILD_OBJ_ROOT))
+ cd $(BUILD_SRC_ROOT)/include && find * '!' '(' -name '*~' -o -name .cvsignore ')' -print | grep -v CVS | pax -rwdvpe $(DESTDIR)$(includedir)/llvm
+endif
install:: install-includes
+
+# Build tags database for Emacs/Xemacs:
+.PHONY: tags
+
+TAGS: tags
+
+all:: tags
+
+tags:
+ $(ETAGS) $(ETAGSFLAGS) `find $(wildcard $(SourceDir)/include $(SourceDir)/lib $(SourceDir)/tools) -name '*.cpp' -o -name '*.h'`
Index: llvm/Makefile.config.in
diff -u llvm/Makefile.config.in:1.16 llvm/Makefile.config.in:1.16.2.1
--- llvm/Makefile.config.in:1.16 Fri Jan 16 15:31:34 2004
+++ llvm/Makefile.config.in Mon Mar 1 17:54:05 2004
@@ -11,6 +11,9 @@
# Target hardware architecture
ARCH=@ARCH@
+# Endian-ness of the target
+ENDIAN=@ENDIAN@
+
# Path to the C++ compiler to use. This is an optional setting, which defaults
# to whatever your gmake defaults to.
#
@@ -48,6 +51,7 @@
INSTALL = @INSTALL@
DOT = @DOT@
ETAGS = @ETAGS@
+ETAGSFLAGS = @ETAGSFLAGS@
# Determine the target for which LLVM should generate code.
LLVMGCCARCH := @target@/3.4-llvm
@@ -80,14 +84,18 @@
BYTECODE_REPOSITORY := @BCR@
# SPEC benchmarks:
-# Set the USE_SPEC variable to enable the use of the SPEC benchmarks.
+# If these are set then run the SPEC benchmarks.
# You must provide the SPEC benchmarks on your own.
- at USE_SPEC@
+ at USE_SPEC2000@
+ at USE_SPEC95@
-# Path to the SPEC benchmarks. If you have the SPEC benchmarks, place the
-# path here.
-#SPEC_ROOT := /home/vadve/shared/benchmarks/speccpu2000/benchspec
-SPEC_ROOT := @SPEC_ROOT@
+# Path to the SPEC benchmarks.
+SPEC2000_ROOT := @SPEC2000_ROOT@
+SPEC95_ROOT := @SPEC95_ROOT@
+
+# Path to the Povray source code.
+ at USE_POVRAY@
+POVRAY_ROOT := @POVRAY_ROOT@
# Path to the PAPI code. This is used by the reoptimizer only.
#PAPIDIR := /home/vadve/shared/papi-2.3.4.1
@@ -115,6 +123,9 @@
# Disable LLC diffs for testing.
@DISABLE_LLC_DIFFS@
+# Shared library extension for this platform.
+SHLIBEXT = @SHLIBEXT@
+
###########################################################################
# Directory Configuration
# This section of the Makefile determines what is where. To be
@@ -183,6 +194,7 @@
sharedstatedir = @sharedstatedir@
localstatedir = @localstatedir@
libdir = @libdir@
+bytecode_libdir = $(LLVMGCCDIR)/bytecode-libs
includedir = @includedir@
infodir = @infodir@
mandir = @mandir@
Index: llvm/Makefile.rules
diff -u llvm/Makefile.rules:1.169 llvm/Makefile.rules:1.169.2.1
--- llvm/Makefile.rules:1.169 Fri Jan 16 15:31:20 2004
+++ llvm/Makefile.rules Mon Mar 1 17:54:05 2004
@@ -109,7 +109,7 @@
###########################################################################
.SUFFIXES:
.SUFFIXES: .c .cpp .h .hpp .y .l
-.SUFFIXES: .lo .o .a .so .bc .td
+.SUFFIXES: .lo .o .a $(SHLIBEXT) .bc .td
.SUFFIXES: .ps .dot .d
#
@@ -289,6 +289,9 @@
# Pull in limit macros from stdint.h, even in C++:
CPPFLAGS += -D__STDC_LIMIT_MACROS
+### FIXME: this is GCC specific
+CPPFLAGS += -DDEPRECATED='__attribute__ ((deprecated))'
+
CompileCommonOpts := -Wall -W -Wwrite-strings -Wno-unused
CompileOptimizeOpts := -O3 -DNDEBUG -finline-functions
@@ -352,7 +355,7 @@
DependC := $(CC) -MM -I$(LEVEL)/include $(CPPFLAGS)
# Archive a bunch of .o files into a .a file...
-AR = ${AR_PATH} cq
+AR = $(AR_PATH) cr
#----------------------------------------------------------
@@ -454,15 +457,20 @@
# of it. For this reason, sometimes it's useful to use libraries as .a files.
###########################################################################
+# Install rule for making bytecode library directory if it does not exist.
+# Trigger this by making libraries that need to be installed here depend on it.
+$(DESTDIR)$(bytecode_libdir):
+ $(MKDIR) $@
+
ifdef LIBRARYNAME
# Make sure there isn't any extranous whitespace on the LIBRARYNAME option
LIBRARYNAME := $(strip $(LIBRARYNAME))
-LIBNAME_O := $(DESTLIBRELEASE)/lib$(LIBRARYNAME).so
-LIBNAME_P := $(DESTLIBPROFILE)/lib$(LIBRARYNAME).so
-LIBNAME_G := $(DESTLIBDEBUG)/lib$(LIBRARYNAME).so
-LIBNAME_CUR := $(DESTLIBCURRENT)/lib$(LIBRARYNAME).so
+LIBNAME_O := $(DESTLIBRELEASE)/lib$(LIBRARYNAME)$(SHLIBEXT)
+LIBNAME_P := $(DESTLIBPROFILE)/lib$(LIBRARYNAME)$(SHLIBEXT)
+LIBNAME_G := $(DESTLIBDEBUG)/lib$(LIBRARYNAME)$(SHLIBEXT)
+LIBNAME_CUR := $(DESTLIBCURRENT)/lib$(LIBRARYNAME)$(SHLIBEXT)
LIBNAME_AO := $(DESTLIBRELEASE)/lib$(LIBRARYNAME).a
LIBNAME_AP := $(DESTLIBPROFILE)/lib$(LIBRARYNAME).a
LIBNAME_AG := $(DESTLIBDEBUG)/lib$(LIBRARYNAME).a
@@ -482,9 +490,9 @@
# dynamic target builds a shared object version of the library...
dynamic:: $(LIBNAME_CUR)
bytecodelib:: $(LIBNAME_BC)
-install-bytecode-library:: $(LLVMGCCDIR)/bytecode-libs/lib$(LIBRARYNAME).bc
+install-bytecode-library:: $(DESTDIR)$(bytecode_libdir)/lib$(LIBRARYNAME).bc
-$(LLVMGCCDIR)/bytecode-libs/lib$(LIBRARYNAME).bc: $(LIBNAME_BC)
+$(DESTDIR)$(bytecode_libdir)/lib$(LIBRARYNAME).bc: $(LIBNAME_BC) $(DESTDIR)$(bytecode_libdir)
@${ECHO} ======= Installing $(LIBRARYNAME) bytecode library =======
cp $< $@
@@ -543,8 +551,8 @@
@${ECHO} ======= Finished building $(LIBRARYNAME) dynamic debug library =======
install-dynamic-library: $(LIBNAME_CUR)
- $(MKDIR) $(libdir)
- $(VERB) $(LIBTOOL) --mode=install $(INSTALL) $(LIBNAME_CUR) $(libdir)/lib$(LIBRARYNAME).so
+ $(MKDIR) $(DESTDIR)$(libdir)
+ $(VERB) $(LIBTOOL) --mode=install $(INSTALL) $(LIBNAME_CUR) $(DESTDIR)$(libdir)/lib$(LIBRARYNAME)$(SHLIBEXT)
#
# Rules for building static archive libraries.
@@ -568,8 +576,8 @@
@${ECHO} ======= Finished building $(LIBRARYNAME) archive debug library =======
install-archive-library: $(LIBNAME_ACUR)
- $(MKDIR) $(libdir)
- $(VERB) $(LIBTOOL) --mode=install $(INSTALL) $(LIBNAME_ACUR) $(libdir)/lib$(LIBRARYNAME).a
+ $(MKDIR) $(DESTDIR)$(libdir)
+ $(VERB) $(LIBTOOL) --mode=install $(INSTALL) $(LIBNAME_ACUR) $(DESTDIR)$(libdir)/lib$(LIBRARYNAME).a
#
# Rules for building .o libraries.
@@ -598,26 +606,9 @@
$(VERB) $(Relink) -o $@ $(RObjectsG) $(LibSubDirs)
install-single-object-library: $(LIBNAME_OBJCUR)
- $(MKDIR) $(libdir)
- $(VERB) $(LIBTOOL) --mode=install $(INSTALL) $(LIBNAME_OBJCUR) $(libdir)/$(LIBRARYNAME).o
-
-endif
-
-#------------------------------------------------------------------------
-# Create a TAGS database for emacs
-#------------------------------------------------------------------------
+ $(MKDIR) $(DESTDIR)$(libdir)
+ $(VERB) $(LIBTOOL) --mode=install $(INSTALL) $(LIBNAME_OBJCUR) $(DESTDIR)$(libdir)/$(LIBRARYNAME).o
-ifneq ($(ETAGS),false)
-ifeq ($(LEVEL), .)
-SRCDIRS := $(wildcard $(SourceDir)/include $(SourceDir)/lib $(SourceDir)/tools)
-
-tags:
- $(ETAGS) -l c++ `find $(SRCDIRS) -name '*.cpp' -o -name '*.h'`
-all:: tags
-endif
-else
-tags:
- ${ECHO} "Cannot build $@: The program etags is not installed"
endif
#------------------------------------------------------------------------
@@ -698,8 +689,8 @@
@${ECHO} ======= Finished building $(TOOLNAME) profile executable =======
install:: $(TOOLEXENAMES)
- $(MKDIR) $(bindir)
- $(LIBTOOL) --mode=install $(INSTALL_PROGRAM) -c -m 0755 $(TOOLEXENAMES) $(bindir)/$(TOOLNAME)
+ $(MKDIR) $(DESTDIR)$(bindir)
+ $(LIBTOOL) --mode=install $(INSTALL_PROGRAM) -c -m 0755 $(TOOLEXENAMES) $(DESTDIR)$(bindir)/$(TOOLNAME)
endif
@@ -813,7 +804,10 @@
$(VERB) $(RM) -rf $(BUILD_OBJ_DIR)/Debug $(BUILD_OBJ_DIR)/Release
$(VERB) $(RM) -rf $(BUILD_OBJ_DIR)/Profile $(BUILD_OBJ_DIR)/Depend
$(VERB) $(RM) -rf $(BUILD_OBJ_DIR)/BytecodeObj
- $(VERB) $(RM) -f core core.[0-9][0-9]* *.o *.d *.so *~ *.flc
+ $(VERB) $(RM) -f core core.[0-9][0-9]* *.o *.d *~ *.flc
+ifneq ($(strip $(SHLIBEXT)),) # Extra paranoia - make real sure SHLIBEXT is set
+ $(VERB) $(RM) -f *$(SHLIBEXT)
+endif
$(VERB) $(RM) -f $(LEX_OUTPUT) $(YACC_OUTPUT)
###########################################################################
Index: llvm/configure
diff -u llvm/configure:1.69 llvm/configure:1.69.2.1
--- llvm/configure:1.69 Fri Jan 16 15:31:21 2004
+++ llvm/configure Mon Mar 1 17:54:05 2004
@@ -465,7 +465,7 @@
#endif"
ac_unique_file=""Makefile.config.in""
-ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS subdirs INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os OS LLVMGCCDIR ARCH CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT CC CFLAGS ac_ct_CC CPP ifGNUmake LEX LEXLIB LEX_OUTPUT_ROOT YACC BISON EGREP LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB STRIP ac_ct_STRIP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL DOT ETAGS PYTHON QMTEST ALLOCA MMAP_FILE ENABLE_OPTIMIZED SPEC_ROOT USE_SPEC UPB DISABLE_LLC_DIFFS JIT LLVMCC1 LLVMCC1PLUS BCR PAPIDIR LIBOBJS LTLIBOBJS'
+ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS subdirs INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os OS LLVMGCCDIR ARCH CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT CC CFLAGS ac_ct_CC CPP ifGNUmake LEX LEXLIB LEX_OUTPUT_ROOT YACC BISON EGREP LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB STRIP ac_ct_STRIP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL DOT ETAGS ETAGSFLAGS PYTHON QMTEST HAVE_PTHREAD_MUTEX_LOCK INCLUDE_SYS_TYPES_H INCLUDE_INTTYPES_H ENDIAN HAVE_STD_EXT_HASH_MAP HAVE_GNU_EXT_HASH_MAP HAVE_GLOBAL_HASH_MAP HAVE_STD_EXT_HASH_SET HAVE_GNU_EXT_HASH_SET HAVE_GLOBAL_HASH_S!
ET HAVE_STD_ITERATOR HAVE_BI_ITERATOR HAVE_FWD_ITERATOR ALLOCA MMAP_FILE ENABLE_OPTIMIZED SPEC2000_ROOT USE_SPEC2000 SPEC95_ROOT USE_SPEC95 POVRAY_ROOT USE_POVRAY UPB DISABLE_LLC_DIFFS JIT LLVMCC1 LLVMCC1PLUS BCR PAPIDIR SHLIBEXT LIBOBJS LTLIBOBJS'
ac_subst_files=''
# Initialize some variables set by options.
@@ -1032,6 +1032,8 @@
--disable-libtool-lock avoid locking (might break parallel builds)
--enable-optimized Compile with optimizations enabled (default is NO)
--enable-spec2000 Compile SPEC 2000 benchmarks (default is NO)
+ --enable-spec95 Compile SPEC 95 benchmarks (default is NO)
+ --enable-povray Compile Povray benchmark (default is NO)
--enable-precompiled_bytecode
Use pre-compiled bytecode (default is NO)
--enable-llc_diffs Enable LLC Diffs when testing (default is YES)
@@ -1569,9 +1571,6 @@
ac_config_commands="$ac_config_commands test/Programs/TEST.dsgraph.report"
- ac_config_commands="$ac_config_commands test/Programs/TEST.micro.report"
-
-
ac_config_commands="$ac_config_commands test/Programs/TEST.aa.report"
@@ -1602,7 +1601,7 @@
ac_config_commands="$ac_config_commands test/Programs/TEST.dsgraph.gnuplot"
- ac_config_commands="$ac_config_commands test/Programs/TEST.micro.Makefile"
+ ac_config_commands="$ac_config_commands test/Programs/TEST.vtl.Makefile"
ac_config_commands="$ac_config_commands test/Programs/External/Makefile"
@@ -1614,6 +1613,12 @@
ac_config_commands="$ac_config_commands test/Programs/External/SPEC/Makefile.spec"
+ ac_config_commands="$ac_config_commands test/Programs/External/SPEC/Makefile.spec2000"
+
+
+ ac_config_commands="$ac_config_commands test/Programs/External/SPEC/Makefile.spec95"
+
+
ac_config_commands="$ac_config_commands test/Programs/MultiSource/Makefile"
@@ -1665,6 +1670,9 @@
ac_config_commands="$ac_config_commands test/Programs/SingleSource/Makefile.singlesrc"
+ ac_config_commands="$ac_config_commands test/Programs/SingleSource/UnitTests/SetjmpLongjmp/Makefile"
+
+
ac_config_commands="$ac_config_commands tools/Makefile"
@@ -4036,7 +4044,7 @@
;;
*-*-irix6*)
# Find out which ABI we are using.
- echo '#line 4039 "configure"' > conftest.$ac_ext
+ echo '#line 4047 "configure"' > conftest.$ac_ext
if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
@@ -4877,7 +4885,7 @@
# Provide some information about the compiler.
-echo "$as_me:4880:" \
+echo "$as_me:4888:" \
"checking for Fortran 77 compiler version" >&5
ac_compiler=`set X $ac_compile; echo $2`
{ (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
@@ -5882,11 +5890,11 @@
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:5885: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:5893: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:5889: \$? = $ac_status" >&5
+ echo "$as_me:5897: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings
@@ -6114,11 +6122,11 @@
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:6117: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:6125: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:6121: \$? = $ac_status" >&5
+ echo "$as_me:6129: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings
@@ -6181,11 +6189,11 @@
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:6184: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:6192: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:6188: \$? = $ac_status" >&5
+ echo "$as_me:6196: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -8193,7 +8201,7 @@
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF
-#line 8196 "configure"
+#line 8204 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@@ -8291,7 +8299,7 @@
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF
-#line 8294 "configure"
+#line 8302 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@@ -10423,11 +10431,11 @@
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:10426: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:10434: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:10430: \$? = $ac_status" >&5
+ echo "$as_me:10438: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings
@@ -10490,11 +10498,11 @@
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:10493: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:10501: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:10497: \$? = $ac_status" >&5
+ echo "$as_me:10505: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -11733,7 +11741,7 @@
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF
-#line 11736 "configure"
+#line 11744 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@@ -11831,7 +11839,7 @@
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF
-#line 11834 "configure"
+#line 11842 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@@ -12653,11 +12661,11 @@
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:12656: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:12664: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:12660: \$? = $ac_status" >&5
+ echo "$as_me:12668: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings
@@ -12720,11 +12728,11 @@
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:12723: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:12731: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:12727: \$? = $ac_status" >&5
+ echo "$as_me:12735: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -14660,11 +14668,11 @@
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:14663: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:14671: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:14667: \$? = $ac_status" >&5
+ echo "$as_me:14675: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings
@@ -14892,11 +14900,11 @@
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:14895: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:14903: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:14899: \$? = $ac_status" >&5
+ echo "$as_me:14907: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings
@@ -14959,11 +14967,11 @@
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:14962: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:14970: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:14966: \$? = $ac_status" >&5
+ echo "$as_me:14974: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -16971,7 +16979,7 @@
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF
-#line 16974 "configure"
+#line 16982 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@@ -17069,7 +17077,7 @@
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF
-#line 17072 "configure"
+#line 17080 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@@ -18156,6 +18164,14 @@
echo "${ECHO_T}no" >&6
fi
+etags_version=`$ETAGS --version 2>&1`
+case "$etags_version" in
+ *Eexuberant*) ETAGSFLAGS="--language-force=c++" ;;
+ *GNU\ Emacs*) ETAGSFLAGS="-l c++" ;;
+ *) ETAGSFLAGS="" ;;
+esac
+ETAGSFLAGS=$ETAGSFLAGS
+
# Extract the first word of "python", so it can be a program name with args.
set dummy python; ac_word=$2
echo "$as_me:$LINENO: checking for $ac_word" >&5
@@ -18661,14 +18677,13 @@
echo "${ECHO_T}$ac_cv_search_pthread_mutex_lock" >&6
if test "$ac_cv_search_pthread_mutex_lock" != no; then
test "$ac_cv_search_pthread_mutex_lock" = "none required" || LIBS="$ac_cv_search_pthread_mutex_lock $LIBS"
-
-cat >>confdefs.h <<\_ACEOF
-#define HAVE_PTHREAD_MUTEX_LOCK 1
-_ACEOF
-
+ HAVE_PTHREAD_MUTEX_LOCK=1
+else
+ HAVE_PTHREAD_MUTEX_LOCK=0
fi
+
echo "$as_me:$LINENO: checking for ANSI C header files" >&5
echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6
if test "${ac_cv_header_stdc+set}" = set; then
@@ -18901,7 +18916,8 @@
-for ac_header in fcntl.h limits.h sys/time.h unistd.h malloc.h sys/mman.h sys/resource.h dlfcn.h link.h
+
+for ac_header in fcntl.h limits.h sys/time.h unistd.h malloc.h sys/mman.h sys/resource.h dlfcn.h link.h execinfo.h
do
as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
if eval "test \"\${$as_ac_Header+set}\" = set"; then
@@ -19043,6 +19059,281 @@
done
+if test "${ac_cv_header_sys_types_h+set}" = set; then
+ echo "$as_me:$LINENO: checking for sys/types.h" >&5
+echo $ECHO_N "checking for sys/types.h... $ECHO_C" >&6
+if test "${ac_cv_header_sys_types_h+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+fi
+echo "$as_me:$LINENO: result: $ac_cv_header_sys_types_h" >&5
+echo "${ECHO_T}$ac_cv_header_sys_types_h" >&6
+else
+ # Is the header compilable?
+echo "$as_me:$LINENO: checking sys/types.h usability" >&5
+echo $ECHO_N "checking sys/types.h usability... $ECHO_C" >&6
+cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+/* confdefs.h. */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h. */
+$ac_includes_default
+#include <sys/types.h>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+ (eval $ac_compile) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+ { ac_try='test -s conftest.$ac_objext'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; }; then
+ ac_header_compiler=yes
+else
+ echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ac_header_compiler=no
+fi
+rm -f conftest.$ac_objext conftest.$ac_ext
+echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+echo "${ECHO_T}$ac_header_compiler" >&6
+
+# Is the header present?
+echo "$as_me:$LINENO: checking sys/types.h presence" >&5
+echo $ECHO_N "checking sys/types.h presence... $ECHO_C" >&6
+cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+/* confdefs.h. */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h. */
+#include <sys/types.h>
+_ACEOF
+if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
+ (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
+ ac_status=$?
+ grep -v '^ *+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } >/dev/null; then
+ if test -s conftest.err; then
+ ac_cpp_err=$ac_c_preproc_warn_flag
+ else
+ ac_cpp_err=
+ fi
+else
+ ac_cpp_err=yes
+fi
+if test -z "$ac_cpp_err"; then
+ ac_header_preproc=yes
+else
+ echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ ac_header_preproc=no
+fi
+rm -f conftest.err conftest.$ac_ext
+echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+echo "${ECHO_T}$ac_header_preproc" >&6
+
+# So? What about this header?
+case $ac_header_compiler:$ac_header_preproc in
+ yes:no )
+ { echo "$as_me:$LINENO: WARNING: sys/types.h: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: sys/types.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
+ { echo "$as_me:$LINENO: WARNING: sys/types.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: sys/types.h: proceeding with the preprocessor's result" >&2;}
+ (
+ cat <<\_ASBOX
+## ------------------------------------ ##
+## Report this to bug-autoconf at gnu.org. ##
+## ------------------------------------ ##
+_ASBOX
+ ) |
+ sed "s/^/$as_me: WARNING: /" >&2
+ ;;
+ no:yes )
+ { echo "$as_me:$LINENO: WARNING: sys/types.h: present but cannot be compiled" >&5
+echo "$as_me: WARNING: sys/types.h: present but cannot be compiled" >&2;}
+ { echo "$as_me:$LINENO: WARNING: sys/types.h: check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: sys/types.h: check for missing prerequisite headers?" >&2;}
+ { echo "$as_me:$LINENO: WARNING: sys/types.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: sys/types.h: proceeding with the preprocessor's result" >&2;}
+ (
+ cat <<\_ASBOX
+## ------------------------------------ ##
+## Report this to bug-autoconf at gnu.org. ##
+## ------------------------------------ ##
+_ASBOX
+ ) |
+ sed "s/^/$as_me: WARNING: /" >&2
+ ;;
+esac
+echo "$as_me:$LINENO: checking for sys/types.h" >&5
+echo $ECHO_N "checking for sys/types.h... $ECHO_C" >&6
+if test "${ac_cv_header_sys_types_h+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+ ac_cv_header_sys_types_h=$ac_header_preproc
+fi
+echo "$as_me:$LINENO: result: $ac_cv_header_sys_types_h" >&5
+echo "${ECHO_T}$ac_cv_header_sys_types_h" >&6
+
+fi
+if test $ac_cv_header_sys_types_h = yes; then
+ INCLUDE_SYS_TYPES_H='#include <sys/types.h>'
+else
+ INCLUDE_SYS_TYPES_H=''
+fi
+
+
+
+if test "${ac_cv_header_inttypes_h+set}" = set; then
+ echo "$as_me:$LINENO: checking for inttypes.h" >&5
+echo $ECHO_N "checking for inttypes.h... $ECHO_C" >&6
+if test "${ac_cv_header_inttypes_h+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+fi
+echo "$as_me:$LINENO: result: $ac_cv_header_inttypes_h" >&5
+echo "${ECHO_T}$ac_cv_header_inttypes_h" >&6
+else
+ # Is the header compilable?
+echo "$as_me:$LINENO: checking inttypes.h usability" >&5
+echo $ECHO_N "checking inttypes.h usability... $ECHO_C" >&6
+cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+/* confdefs.h. */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h. */
+$ac_includes_default
+#include <inttypes.h>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+ (eval $ac_compile) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+ { ac_try='test -s conftest.$ac_objext'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; }; then
+ ac_header_compiler=yes
+else
+ echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ac_header_compiler=no
+fi
+rm -f conftest.$ac_objext conftest.$ac_ext
+echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+echo "${ECHO_T}$ac_header_compiler" >&6
+
+# Is the header present?
+echo "$as_me:$LINENO: checking inttypes.h presence" >&5
+echo $ECHO_N "checking inttypes.h presence... $ECHO_C" >&6
+cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+/* confdefs.h. */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h. */
+#include <inttypes.h>
+_ACEOF
+if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
+ (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
+ ac_status=$?
+ grep -v '^ *+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } >/dev/null; then
+ if test -s conftest.err; then
+ ac_cpp_err=$ac_c_preproc_warn_flag
+ else
+ ac_cpp_err=
+ fi
+else
+ ac_cpp_err=yes
+fi
+if test -z "$ac_cpp_err"; then
+ ac_header_preproc=yes
+else
+ echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ ac_header_preproc=no
+fi
+rm -f conftest.err conftest.$ac_ext
+echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+echo "${ECHO_T}$ac_header_preproc" >&6
+
+# So? What about this header?
+case $ac_header_compiler:$ac_header_preproc in
+ yes:no )
+ { echo "$as_me:$LINENO: WARNING: inttypes.h: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: inttypes.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
+ { echo "$as_me:$LINENO: WARNING: inttypes.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: inttypes.h: proceeding with the preprocessor's result" >&2;}
+ (
+ cat <<\_ASBOX
+## ------------------------------------ ##
+## Report this to bug-autoconf at gnu.org. ##
+## ------------------------------------ ##
+_ASBOX
+ ) |
+ sed "s/^/$as_me: WARNING: /" >&2
+ ;;
+ no:yes )
+ { echo "$as_me:$LINENO: WARNING: inttypes.h: present but cannot be compiled" >&5
+echo "$as_me: WARNING: inttypes.h: present but cannot be compiled" >&2;}
+ { echo "$as_me:$LINENO: WARNING: inttypes.h: check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: inttypes.h: check for missing prerequisite headers?" >&2;}
+ { echo "$as_me:$LINENO: WARNING: inttypes.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: inttypes.h: proceeding with the preprocessor's result" >&2;}
+ (
+ cat <<\_ASBOX
+## ------------------------------------ ##
+## Report this to bug-autoconf at gnu.org. ##
+## ------------------------------------ ##
+_ASBOX
+ ) |
+ sed "s/^/$as_me: WARNING: /" >&2
+ ;;
+esac
+echo "$as_me:$LINENO: checking for inttypes.h" >&5
+echo $ECHO_N "checking for inttypes.h... $ECHO_C" >&6
+if test "${ac_cv_header_inttypes_h+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+ ac_cv_header_inttypes_h=$ac_header_preproc
+fi
+echo "$as_me:$LINENO: result: $ac_cv_header_inttypes_h" >&5
+echo "${ECHO_T}$ac_cv_header_inttypes_h" >&6
+
+fi
+if test $ac_cv_header_inttypes_h = yes; then
+ INCLUDE_INTTYPES_H='#include <inttypes.h>'
+else
+ INCLUDE_INTTYPES_H=''
+fi
+
+
+
+
echo "$as_me:$LINENO: checking for pid_t" >&5
echo $ECHO_N "checking for pid_t... $ECHO_C" >&6
if test "${ac_cv_type_pid_t+set}" = set; then
@@ -19469,31 +19760,29 @@
fi
-echo "$as_me:$LINENO: checking whether the compiler implements namespaces" >&5
-echo $ECHO_N "checking whether the compiler implements namespaces... $ECHO_C" >&6
-if test "${ac_cv_cxx_namespaces+set}" = set; then
+echo "$as_me:$LINENO: checking whether byte ordering is bigendian" >&5
+echo $ECHO_N "checking whether byte ordering is bigendian... $ECHO_C" >&6
+if test "${ac_cv_c_bigendian+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
-
-
- ac_ext=cc
-ac_cpp='$CXXCPP $CPPFLAGS'
-ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
-ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
-ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
-
- cat >conftest.$ac_ext <<_ACEOF
+ # See if sys/param.h defines the BYTE_ORDER macro.
+cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
-namespace Outer { namespace Inner { int i = 0; }}
+#include <sys/types.h>
+#include <sys/param.h>
+
int
main ()
{
-using namespace Outer::Inner; return i;
+#if !BYTE_ORDER || !BIG_ENDIAN || !LITTLE_ENDIAN
+ bogus endian macros
+#endif
+
;
return 0;
}
@@ -19510,11 +19799,216 @@
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
- ac_cv_cxx_namespaces=yes
-else
- echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
+ # It does; now see whether it defined to BIG_ENDIAN or not.
+cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+/* confdefs.h. */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h. */
+#include <sys/types.h>
+#include <sys/param.h>
+
+int
+main ()
+{
+#if BYTE_ORDER != BIG_ENDIAN
+ not big endian
+#endif
+
+ ;
+ return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+ (eval $ac_compile) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+ { ac_try='test -s conftest.$ac_objext'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; }; then
+ ac_cv_c_bigendian=yes
+else
+ echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ac_cv_c_bigendian=no
+fi
+rm -f conftest.$ac_objext conftest.$ac_ext
+else
+ echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+# It does not; compile a test program.
+if test "$cross_compiling" = yes; then
+ # try to guess the endianness by grepping values into an object file
+ ac_cv_c_bigendian=unknown
+ cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+/* confdefs.h. */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h. */
+short ascii_mm[] = { 0x4249, 0x4765, 0x6E44, 0x6961, 0x6E53, 0x7953, 0 };
+short ascii_ii[] = { 0x694C, 0x5454, 0x656C, 0x6E45, 0x6944, 0x6E61, 0 };
+void _ascii () { char *s = (char *) ascii_mm; s = (char *) ascii_ii; }
+short ebcdic_ii[] = { 0x89D3, 0xE3E3, 0x8593, 0x95C5, 0x89C4, 0x9581, 0 };
+short ebcdic_mm[] = { 0xC2C9, 0xC785, 0x95C4, 0x8981, 0x95E2, 0xA8E2, 0 };
+void _ebcdic () { char *s = (char *) ebcdic_mm; s = (char *) ebcdic_ii; }
+int
+main ()
+{
+ _ascii (); _ebcdic ();
+ ;
+ return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+ (eval $ac_compile) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+ { ac_try='test -s conftest.$ac_objext'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; }; then
+ if grep BIGenDianSyS conftest.$ac_objext >/dev/null ; then
+ ac_cv_c_bigendian=yes
+fi
+if grep LiTTleEnDian conftest.$ac_objext >/dev/null ; then
+ if test "$ac_cv_c_bigendian" = unknown; then
+ ac_cv_c_bigendian=no
+ else
+ # finding both strings is unlikely to happen, but who knows?
+ ac_cv_c_bigendian=unknown
+ fi
+fi
+else
+ echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+fi
+rm -f conftest.$ac_objext conftest.$ac_ext
+else
+ cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+/* confdefs.h. */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h. */
+int
+main ()
+{
+ /* Are we little or big endian? From Harbison&Steele. */
+ union
+ {
+ long l;
+ char c[sizeof (long)];
+ } u;
+ u.l = 1;
+ exit (u.c[sizeof (long) - 1] == 1);
+}
+_ACEOF
+rm -f conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+ (eval $ac_link) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; }; then
+ ac_cv_c_bigendian=no
+else
+ echo "$as_me: program exited with status $ac_status" >&5
+echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+( exit $ac_status )
+ac_cv_c_bigendian=yes
+fi
+rm -f core core.* *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
+fi
+fi
+rm -f conftest.$ac_objext conftest.$ac_ext
+fi
+echo "$as_me:$LINENO: result: $ac_cv_c_bigendian" >&5
+echo "${ECHO_T}$ac_cv_c_bigendian" >&6
+case $ac_cv_c_bigendian in
+ yes)
+ ENDIAN=big
+ ;;
+ no)
+ ENDIAN=little
+ ;;
+ *)
+ { { echo "$as_me:$LINENO: error: unknown endianness
+presetting ac_cv_c_bigendian=no (or yes) will help" >&5
+echo "$as_me: error: unknown endianness
+presetting ac_cv_c_bigendian=no (or yes) will help" >&2;}
+ { (exit 1); exit 1; }; } ;;
+esac
+
+
+echo "$as_me:$LINENO: checking whether the compiler implements namespaces" >&5
+echo $ECHO_N "checking whether the compiler implements namespaces... $ECHO_C" >&6
+if test "${ac_cv_cxx_namespaces+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+
+
+ ac_ext=cc
+ac_cpp='$CXXCPP $CPPFLAGS'
+ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
+ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
+ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
+
+ cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+/* confdefs.h. */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h. */
+namespace Outer { namespace Inner { int i = 0; }}
+int
+main ()
+{
+using namespace Outer::Inner; return i;
+ ;
+ return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+ (eval $ac_compile) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+ { ac_try='test -s conftest.$ac_objext'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; }; then
+ ac_cv_cxx_namespaces=yes
+else
+ echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
ac_cv_cxx_namespaces=no
fi
rm -f conftest.$ac_objext conftest.$ac_ext
@@ -19598,13 +20092,12 @@
fi
echo "$as_me:$LINENO: result: $ac_cv_cxx_have_std_ext_hash_map" >&5
echo "${ECHO_T}$ac_cv_cxx_have_std_ext_hash_map" >&6
- if test "$ac_cv_cxx_have_std_ext_hash_map" = yes; then
-
-cat >>confdefs.h <<\_ACEOF
-#define HAVE_STD_EXT_HASH_MAP
-_ACEOF
-
+ HAVE_STD_EXT_HASH_MAP=0
+ if test "$ac_cv_cxx_have_std_ext_hash_map" = yes
+ then
+ HAVE_STD_EXT_HASH_MAP=1
fi
+
echo "$as_me:$LINENO: checking whether the compiler has <ext/hash_map> defining template class __gnu_cxx::hash_map" >&5
echo $ECHO_N "checking whether the compiler has <ext/hash_map> defining template class __gnu_cxx::hash_map... $ECHO_C" >&6
if test "${ac_cv_cxx_have_gnu_ext_hash_map+set}" = set; then
@@ -19667,13 +20160,12 @@
fi
echo "$as_me:$LINENO: result: $ac_cv_cxx_have_gnu_ext_hash_map" >&5
echo "${ECHO_T}$ac_cv_cxx_have_gnu_ext_hash_map" >&6
- if test "$ac_cv_cxx_have_gnu_ext_hash_map" = yes; then
-
-cat >>confdefs.h <<\_ACEOF
-#define HAVE_GNU_EXT_HASH_MAP
-_ACEOF
-
+ HAVE_GNU_EXT_HASH_MAP=0
+ if test "$ac_cv_cxx_have_gnu_ext_hash_map" = yes
+ then
+ HAVE_GNU_EXT_HASH_MAP=1
fi
+
echo "$as_me:$LINENO: checking whether the compiler has <hash_map> defining template class ::hash_map" >&5
echo $ECHO_N "checking whether the compiler has <hash_map> defining template class ::hash_map... $ECHO_C" >&6
if test "${ac_cv_cxx_have_global_hash_map+set}" = set; then
@@ -19733,13 +20225,12 @@
fi
echo "$as_me:$LINENO: result: $ac_cv_cxx_have_global_hash_map" >&5
echo "${ECHO_T}$ac_cv_cxx_have_global_hash_map" >&6
- if test "$ac_cv_cxx_have_global_hash_map" = yes; then
-
-cat >>confdefs.h <<\_ACEOF
-#define HAVE_GLOBAL_HASH_MAP
-_ACEOF
-
+ HAVE_GLOBAL_HASH_MAP=0
+ if test "$ac_cv_cxx_have_global_hash_map" = yes
+ then
+ HAVE_GLOBAL_HASH_MAP=1
fi
+
echo "$as_me:$LINENO: checking whether the compiler has <ext/hash_set> defining template class std::hash_set" >&5
echo $ECHO_N "checking whether the compiler has <ext/hash_set> defining template class std::hash_set... $ECHO_C" >&6
if test "${ac_cv_cxx_have_std_ext_hash_set+set}" = set; then
@@ -19802,13 +20293,12 @@
fi
echo "$as_me:$LINENO: result: $ac_cv_cxx_have_std_ext_hash_set" >&5
echo "${ECHO_T}$ac_cv_cxx_have_std_ext_hash_set" >&6
- if test "$ac_cv_cxx_have_std_ext_hash_set" = yes; then
-
-cat >>confdefs.h <<\_ACEOF
-#define HAVE_STD_EXT_HASH_SET
-_ACEOF
-
+ HAVE_STD_EXT_HASH_SET=0
+ if test "$ac_cv_cxx_have_std_ext_hash_set" = yes
+ then
+ HAVE_STD_EXT_HASH_SET=1
fi
+
echo "$as_me:$LINENO: checking whether the compiler has <ext/hash_set> defining template class __gnu_cxx::hash_set" >&5
echo $ECHO_N "checking whether the compiler has <ext/hash_set> defining template class __gnu_cxx::hash_set... $ECHO_C" >&6
if test "${ac_cv_cxx_have_gnu_ext_hash_set+set}" = set; then
@@ -19871,13 +20361,12 @@
fi
echo "$as_me:$LINENO: result: $ac_cv_cxx_have_gnu_ext_hash_set" >&5
echo "${ECHO_T}$ac_cv_cxx_have_gnu_ext_hash_set" >&6
- if test "$ac_cv_cxx_have_gnu_ext_hash_set" = yes; then
-
-cat >>confdefs.h <<\_ACEOF
-#define HAVE_GNU_EXT_HASH_SET
-_ACEOF
-
+ HAVE_GNU_EXT_HASH_SET=0
+ if test "$ac_cv_cxx_have_gnu_ext_hash_set" = yes
+ then
+ HAVE_GNU_EXT_HASH_SET=1
fi
+
echo "$as_me:$LINENO: checking whether the compiler has <hash_set> defining template class ::hash_set" >&5
echo $ECHO_N "checking whether the compiler has <hash_set> defining template class ::hash_set... $ECHO_C" >&6
if test "${ac_cv_cxx_have_global_hash_set+set}" = set; then
@@ -19937,130 +20426,11 @@
fi
echo "$as_me:$LINENO: result: $ac_cv_cxx_have_global_hash_set" >&5
echo "${ECHO_T}$ac_cv_cxx_have_global_hash_set" >&6
- if test "$ac_cv_cxx_have_global_hash_set" = yes; then
-
-cat >>confdefs.h <<\_ACEOF
-#define HAVE_GLOBAL_HASH_SET
-_ACEOF
-
+ HAVE_GLOBAL_HASH_SET=0
+ if test "$ac_cv_cxx_have_global_hash_set" = yes
+ then
+ HAVE_GLOBAL_HASH_SET=1
fi
-echo "$as_me:$LINENO: checking whether the compiler has ext/slist" >&5
-echo $ECHO_N "checking whether the compiler has ext/slist... $ECHO_C" >&6
-if test "${ac_cv_cxx_have_ext_slist+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-
-
-
- ac_ext=cc
-ac_cpp='$CXXCPP $CPPFLAGS'
-ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
-ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
-ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
-
- cat >conftest.$ac_ext <<_ACEOF
-#line $LINENO "configure"
-/* confdefs.h. */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h. */
-#include <ext/slist>
-#ifdef HAVE_NAMESPACES
-using namespace std;
-#endif
-int
-main ()
-{
-slist<int> s; return 0;
- ;
- return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
- (eval $ac_compile) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_cxx_have_ext_slist=std
-else
- echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-ac_cv_cxx_have_ext_slist=no
-fi
-rm -f conftest.$ac_objext conftest.$ac_ext
- cat >conftest.$ac_ext <<_ACEOF
-#line $LINENO "configure"
-/* confdefs.h. */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h. */
-#include <ext/slist>
-#ifdef HAVE_NAMESPACES
-using namespace __gnu_cxx;
-#endif
-int
-main ()
-{
-slist<int> s; return 0;
- ;
- return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
- (eval $ac_compile) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_cxx_have_ext_slist=gnu
-else
- echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-ac_cv_cxx_have_ext_slist=no
-fi
-rm -f conftest.$ac_objext conftest.$ac_ext
-
- ac_ext=c
-ac_cpp='$CPP $CPPFLAGS'
-ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
-ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
-ac_compiler_gnu=$ac_cv_c_compiler_gnu
-
-
-fi
-echo "$as_me:$LINENO: result: $ac_cv_cxx_have_ext_slist" >&5
-echo "${ECHO_T}$ac_cv_cxx_have_ext_slist" >&6
-if test "$ac_cv_cxx_have_ext_slist" = std; then
-
-cat >>confdefs.h <<\_ACEOF
-#define HAVE_EXT_SLIST std
-_ACEOF
-
-fi
-if test "$ac_cv_cxx_have_ext_slist" = gnu; then
-
-cat >>confdefs.h <<\_ACEOF
-#define HAVE_EXT_SLIST gnu
-_ACEOF
-
-fi
echo "$as_me:$LINENO: checking whether the compiler has the standard iterator" >&5
echo $ECHO_N "checking whether the compiler has the standard iterator... $ECHO_C" >&6
@@ -20125,12 +20495,10 @@
fi
echo "$as_me:$LINENO: result: $ac_cv_cxx_have_std_iterator" >&5
echo "${ECHO_T}$ac_cv_cxx_have_std_iterator" >&6
-if test "$ac_cv_cxx_have_std_iterator" = yes; then
-
-cat >>confdefs.h <<\_ACEOF
-#define HAVE_STD_ITERATOR
-_ACEOF
-
+HAVE_STD_ITERATOR=0
+if test "$ac_cv_cxx_have_std_iterator" = yes
+then
+ HAVE_STD_ITERATOR=1
fi
echo "$as_me:$LINENO: checking whether the compiler has the bidirectional iterator" >&5
@@ -20196,12 +20564,10 @@
fi
echo "$as_me:$LINENO: result: $ac_cv_cxx_have_bi_iterator" >&5
echo "${ECHO_T}$ac_cv_cxx_have_bi_iterator" >&6
-if test "$ac_cv_cxx_have_bi_iterator" = yes; then
-
-cat >>confdefs.h <<\_ACEOF
-#define HAVE_BI_ITERATOR
-_ACEOF
-
+HAVE_BI_ITERATOR=0
+if test "$ac_cv_cxx_have_bi_iterator" = yes
+then
+ HAVE_BI_ITERATOR=1
fi
echo "$as_me:$LINENO: checking whether the compiler has forward iterators" >&5
@@ -20267,12 +20633,10 @@
fi
echo "$as_me:$LINENO: result: $ac_cv_cxx_have_fwd_iterator" >&5
echo "${ECHO_T}$ac_cv_cxx_have_fwd_iterator" >&6
-if test "$ac_cv_cxx_have_fwd_iterator" = yes; then
-
-cat >>confdefs.h <<\_ACEOF
-#define HAVE_FWD_ITERATOR
-_ACEOF
-
+HAVE_FWD_ITERATOR=0
+if test "$ac_cv_cxx_have_fwd_iterator" = yes
+then
+ HAVE_FWD_ITERATOR=1
fi
@@ -21234,7 +21598,8 @@
-for ac_func in getcwd gettimeofday strdup strtoq strtoll
+
+for ac_func in getcwd gettimeofday strdup strtoq strtoll backtrace
do
as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
echo "$as_me:$LINENO: checking for $ac_func" >&5
@@ -21476,28 +21841,95 @@
then
if test -d /home/vadve/shared/benchmarks/speccpu2000/benchspec
then
- SPEC_ROOT=/home/vadve/shared/benchmarks/speccpu2000/benchspec
+ SPEC2000_ROOT=/home/vadve/shared/benchmarks/speccpu2000/benchspec
+
+ USE_SPEC2000=USE_SPEC2000=1
+
+ else
+ USE_SPEC2000=
+
+
+ fi
+else
+ if test ${enableval} = ""
+ then
+ SPEC2000_ROOT=/home/vadve/shared/benchmarks/speccpu2000/benchspec
- USE_SPEC=USE_SPEC=1
+ else
+ SPEC2000_ROOT=${enableval}
+
+ fi
+ USE_SPEC2000=USE_SPEC2000=1
+
+fi
+
+# Check whether --enable-spec95 or --disable-spec95 was given.
+if test "${enable_spec95+set}" = set; then
+ enableval="$enable_spec95"
+
+else
+ enableval=no
+fi;
+if test ${enableval} = "no"
+then
+ if test -d /home/vadve/shared/benchmarks/spec95/benchspec
+ then
+ SPEC95_ROOT=/home/vadve/shared/benchmarks/spec95/benchspec
+
+ USE_SPEC95=USE_SPEC95=1
else
- USE_SPEC=
+ USE_SPEC95=
fi
else
if test ${enableval} = ""
then
- SPEC_ROOT=/home/vadve/shared/benchmarks/speccpu2000/benchspec
+ SPEC95_ROOT=/home/vadve/shared/benchmarks/spec95/benchspec
else
- SPEC_ROOT=${enableval}
+ SPEC95_ROOT=${enableval}
fi
- USE_SPEC=USE_SPEC=1
+ USE_SPEC95=USE_SPEC95=1
fi
+# Check whether --enable-povray or --disable-povray was given.
+if test "${enable_povray+set}" = set; then
+ enableval="$enable_povray"
+
+else
+ enableval=no
+fi;
+if test ${enableval} = "no"
+then
+ if test -d /home/vadve/shared/benchmarks/povray31
+ then
+ POVRAY_ROOT=/home/vadve/shared/benchmarks/povray31
+
+ USE_POVRAY=USE_POVRAY=1
+
+ else
+ USE_POVRAY=
+
+
+ fi
+else
+ if test ${enableval} = ""
+ then
+ POVRAY_ROOT=/home/vadve/shared/benchmarks/povray31
+
+ else
+ POVRAY_ROOT=${enableval}
+
+ fi
+ USE_POVRAY=USE_POVRAY=1
+
+fi
+
+
# Check whether --enable-precompiled_bytecode or --disable-precompiled_bytecode was given.
if test "${enable_precompiled_bytecode+set}" = set; then
enableval="$enable_precompiled_bytecode"
@@ -21595,10 +22027,10 @@
fi
rm conftest.c
llvmcc1path=`"$LLVM_GCC_CHECK" --print-prog-name=cc1`
- LLVMCC1=$llvmcc1path
+ LLVMCC1=$llvmcc1path
llvmcc1pluspath=`"$LLVM_GCC_CHECK" --print-prog-name=cc1plus`
- LLVMCC1PLUS=$llvmcc1pluspath
+ LLVMCC1PLUS=$llvmcc1pluspath
fi
echo "$as_me:$LINENO: result: $LLVM_GCC_SANE" >&5
@@ -21630,7 +22062,20 @@
fi;
- ac_config_files="$ac_config_files Makefile.config"
+echo "$as_me:$LINENO: checking for shared library suffix" >&5
+echo $ECHO_N "checking for shared library suffix... $ECHO_C" >&6
+eval "SHLIBEXT=$shrext"
+echo "$as_me:$LINENO: result: $SHLIBEXT" >&5
+echo "${ECHO_T}$SHLIBEXT" >&6
+SHLIBEXT=$SHLIBEXT
+
+
+cat >>confdefs.h <<_ACEOF
+#define SHLIBEXT "$SHLIBEXT"
+_ACEOF
+
+
+ ac_config_files="$ac_config_files Makefile.config include/Support/DataTypes.h include/Support/ThreadSupport.h include/Support/hash_map include/Support/hash_set include/Support/iterator"
cat >confcache <<\_ACEOF
# This file is a shell script that caches the results of configure
# tests run on this system so they can be shared between configure
@@ -22166,7 +22611,6 @@
${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/Makefile.programs`
${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/TEST.aa.Makefile`
${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/TEST.dsgraph.report`
-${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/TEST.micro.report`
${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/TEST.aa.report`
${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/TEST.example.Makefile`
${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/TEST.nightly.Makefile`
@@ -22177,10 +22621,12 @@
${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/TEST.jit.report`
${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/TEST.typesafe.Makefile`
${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/TEST.dsgraph.gnuplot`
-${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/TEST.micro.Makefile`
+${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/TEST.vtl.Makefile`
${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/External/Makefile`
${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/External/SPEC/Makefile`
${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/External/SPEC/Makefile.spec`
+${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/External/SPEC/Makefile.spec2000`
+${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/External/SPEC/Makefile.spec95`
${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/MultiSource/Makefile`
${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/MultiSource/Makefile.multisrc`
${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/MultiSource/Benchmarks/FreeBench/analyzer/test.in`
@@ -22198,6 +22644,7 @@
${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/MultiSource/Benchmarks/FreeBench/pifft/test.in`
${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/SingleSource/Makefile`
${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/SingleSource/Makefile.singlesrc`
+${srcdir}/autoconf/mkinstalldirs `dirname test/Programs/SingleSource/UnitTests/SetjmpLongjmp/Makefile`
${srcdir}/autoconf/mkinstalldirs `dirname tools/Makefile`
${srcdir}/autoconf/mkinstalldirs `dirname utils/Makefile`
${srcdir}/autoconf/mkinstalldirs `dirname projects/Makefile`
@@ -22212,6 +22659,11 @@
case "$ac_config_target" in
# Handling of arguments.
"Makefile.config" ) CONFIG_FILES="$CONFIG_FILES Makefile.config" ;;
+ "include/Support/DataTypes.h" ) CONFIG_FILES="$CONFIG_FILES include/Support/DataTypes.h" ;;
+ "include/Support/ThreadSupport.h" ) CONFIG_FILES="$CONFIG_FILES include/Support/ThreadSupport.h" ;;
+ "include/Support/hash_map" ) CONFIG_FILES="$CONFIG_FILES include/Support/hash_map" ;;
+ "include/Support/hash_set" ) CONFIG_FILES="$CONFIG_FILES include/Support/hash_set" ;;
+ "include/Support/iterator" ) CONFIG_FILES="$CONFIG_FILES include/Support/iterator" ;;
"Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS Makefile" ;;
"Makefile.common" ) CONFIG_COMMANDS="$CONFIG_COMMANDS Makefile.common" ;;
"lib/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS lib/Makefile" ;;
@@ -22224,7 +22676,6 @@
"test/Programs/Makefile.programs" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Programs/Makefile.programs" ;;
"test/Programs/TEST.aa.Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Programs/TEST.aa.Makefile" ;;
"test/Programs/TEST.dsgraph.report" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Programs/TEST.dsgraph.report" ;;
- "test/Programs/TEST.micro.report" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Programs/TEST.micro.report" ;;
"test/Programs/TEST.aa.report" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Programs/TEST.aa.report" ;;
"test/Programs/TEST.example.Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Programs/TEST.example.Makefile" ;;
"test/Programs/TEST.nightly.Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Programs/TEST.nightly.Makefile" ;;
@@ -22235,10 +22686,12 @@
"test/Programs/TEST.jit.report" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Programs/TEST.jit.report" ;;
"test/Programs/TEST.typesafe.Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Programs/TEST.typesafe.Makefile" ;;
"test/Programs/TEST.dsgraph.gnuplot" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Programs/TEST.dsgraph.gnuplot" ;;
- "test/Programs/TEST.micro.Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Programs/TEST.micro.Makefile" ;;
+ "test/Programs/TEST.vtl.Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Programs/TEST.vtl.Makefile" ;;
"test/Programs/External/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Programs/External/Makefile" ;;
"test/Programs/External/SPEC/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Programs/External/SPEC/Makefile" ;;
"test/Programs/External/SPEC/Makefile.spec" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Programs/External/SPEC/Makefile.spec" ;;
+ "test/Programs/External/SPEC/Makefile.spec2000" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Programs/External/SPEC/Makefile.spec2000" ;;
+ "test/Programs/External/SPEC/Makefile.spec95" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Programs/External/SPEC/Makefile.spec95" ;;
"test/Programs/MultiSource/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Programs/MultiSource/Makefile" ;;
"test/Programs/MultiSource/Makefile.multisrc" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Programs/MultiSource/Makefile.multisrc" ;;
"test/Programs/MultiSource/Benchmarks/FreeBench/analyzer/test.in" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Programs/MultiSource/Benchmarks/FreeBench/analyzer/test.in" ;;
@@ -22256,6 +22709,7 @@
"test/Programs/MultiSource/Benchmarks/FreeBench/pifft/test.in" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Programs/MultiSource/Benchmarks/FreeBench/pifft/test.in" ;;
"test/Programs/SingleSource/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Programs/SingleSource/Makefile" ;;
"test/Programs/SingleSource/Makefile.singlesrc" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Programs/SingleSource/Makefile.singlesrc" ;;
+ "test/Programs/SingleSource/UnitTests/SetjmpLongjmp/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS test/Programs/SingleSource/UnitTests/SetjmpLongjmp/Makefile" ;;
"tools/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS tools/Makefile" ;;
"utils/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS utils/Makefile" ;;
"projects/Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS projects/Makefile" ;;
@@ -22397,13 +22851,31 @@
s, at LIBTOOL@,$LIBTOOL,;t t
s, at DOT@,$DOT,;t t
s, at ETAGS@,$ETAGS,;t t
+s, at ETAGSFLAGS@,$ETAGSFLAGS,;t t
s, at PYTHON@,$PYTHON,;t t
s, at QMTEST@,$QMTEST,;t t
+s, at HAVE_PTHREAD_MUTEX_LOCK@,$HAVE_PTHREAD_MUTEX_LOCK,;t t
+s, at INCLUDE_SYS_TYPES_H@,$INCLUDE_SYS_TYPES_H,;t t
+s, at INCLUDE_INTTYPES_H@,$INCLUDE_INTTYPES_H,;t t
+s, at ENDIAN@,$ENDIAN,;t t
+s, at HAVE_STD_EXT_HASH_MAP@,$HAVE_STD_EXT_HASH_MAP,;t t
+s, at HAVE_GNU_EXT_HASH_MAP@,$HAVE_GNU_EXT_HASH_MAP,;t t
+s, at HAVE_GLOBAL_HASH_MAP@,$HAVE_GLOBAL_HASH_MAP,;t t
+s, at HAVE_STD_EXT_HASH_SET@,$HAVE_STD_EXT_HASH_SET,;t t
+s, at HAVE_GNU_EXT_HASH_SET@,$HAVE_GNU_EXT_HASH_SET,;t t
+s, at HAVE_GLOBAL_HASH_SET@,$HAVE_GLOBAL_HASH_SET,;t t
+s, at HAVE_STD_ITERATOR@,$HAVE_STD_ITERATOR,;t t
+s, at HAVE_BI_ITERATOR@,$HAVE_BI_ITERATOR,;t t
+s, at HAVE_FWD_ITERATOR@,$HAVE_FWD_ITERATOR,;t t
s, at ALLOCA@,$ALLOCA,;t t
s, at MMAP_FILE@,$MMAP_FILE,;t t
s, at ENABLE_OPTIMIZED@,$ENABLE_OPTIMIZED,;t t
-s, at SPEC_ROOT@,$SPEC_ROOT,;t t
-s, at USE_SPEC@,$USE_SPEC,;t t
+s, at SPEC2000_ROOT@,$SPEC2000_ROOT,;t t
+s, at USE_SPEC2000@,$USE_SPEC2000,;t t
+s, at SPEC95_ROOT@,$SPEC95_ROOT,;t t
+s, at USE_SPEC95@,$USE_SPEC95,;t t
+s, at POVRAY_ROOT@,$POVRAY_ROOT,;t t
+s, at USE_POVRAY@,$USE_POVRAY,;t t
s, at UPB@,$UPB,;t t
s, at DISABLE_LLC_DIFFS@,$DISABLE_LLC_DIFFS,;t t
s, at JIT@,$JIT,;t t
@@ -22411,6 +22883,7 @@
s, at LLVMCC1PLUS@,$LLVMCC1PLUS,;t t
s, at BCR@,$BCR,;t t
s, at PAPIDIR@,$PAPIDIR,;t t
+s, at SHLIBEXT@,$SHLIBEXT,;t t
s, at LIBOBJS@,$LIBOBJS,;t t
s, at LTLIBOBJS@,$LTLIBOBJS,;t t
CEOF
@@ -22908,7 +23381,6 @@
test/Programs/Makefile.programs ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Programs/Makefile.programs test/Programs/Makefile.programs ;;
test/Programs/TEST.aa.Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Programs/TEST.aa.Makefile test/Programs/TEST.aa.Makefile ;;
test/Programs/TEST.dsgraph.report ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Programs/TEST.dsgraph.report test/Programs/TEST.dsgraph.report ;;
- test/Programs/TEST.micro.report ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Programs/TEST.micro.report test/Programs/TEST.micro.report ;;
test/Programs/TEST.aa.report ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Programs/TEST.aa.report test/Programs/TEST.aa.report ;;
test/Programs/TEST.example.Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Programs/TEST.example.Makefile test/Programs/TEST.example.Makefile ;;
test/Programs/TEST.nightly.Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Programs/TEST.nightly.Makefile test/Programs/TEST.nightly.Makefile ;;
@@ -22919,10 +23391,12 @@
test/Programs/TEST.jit.report ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Programs/TEST.jit.report test/Programs/TEST.jit.report ;;
test/Programs/TEST.typesafe.Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Programs/TEST.typesafe.Makefile test/Programs/TEST.typesafe.Makefile ;;
test/Programs/TEST.dsgraph.gnuplot ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Programs/TEST.dsgraph.gnuplot test/Programs/TEST.dsgraph.gnuplot ;;
- test/Programs/TEST.micro.Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Programs/TEST.micro.Makefile test/Programs/TEST.micro.Makefile ;;
+ test/Programs/TEST.vtl.Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Programs/TEST.vtl.Makefile test/Programs/TEST.vtl.Makefile ;;
test/Programs/External/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Programs/External/Makefile test/Programs/External/Makefile ;;
test/Programs/External/SPEC/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Programs/External/SPEC/Makefile test/Programs/External/SPEC/Makefile ;;
test/Programs/External/SPEC/Makefile.spec ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Programs/External/SPEC/Makefile.spec test/Programs/External/SPEC/Makefile.spec ;;
+ test/Programs/External/SPEC/Makefile.spec2000 ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Programs/External/SPEC/Makefile.spec2000 test/Programs/External/SPEC/Makefile.spec2000 ;;
+ test/Programs/External/SPEC/Makefile.spec95 ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Programs/External/SPEC/Makefile.spec95 test/Programs/External/SPEC/Makefile.spec95 ;;
test/Programs/MultiSource/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Programs/MultiSource/Makefile test/Programs/MultiSource/Makefile ;;
test/Programs/MultiSource/Makefile.multisrc ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Programs/MultiSource/Makefile.multisrc test/Programs/MultiSource/Makefile.multisrc ;;
test/Programs/MultiSource/Benchmarks/FreeBench/analyzer/test.in ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Programs/MultiSource/Benchmarks/FreeBench/analyzer/test.in test/Programs/MultiSource/Benchmarks/FreeBench/analyzer/test.in ;;
@@ -22940,6 +23414,7 @@
test/Programs/MultiSource/Benchmarks/FreeBench/pifft/test.in ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Programs/MultiSource/Benchmarks/FreeBench/pifft/test.in test/Programs/MultiSource/Benchmarks/FreeBench/pifft/test.in ;;
test/Programs/SingleSource/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Programs/SingleSource/Makefile test/Programs/SingleSource/Makefile ;;
test/Programs/SingleSource/Makefile.singlesrc ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Programs/SingleSource/Makefile.singlesrc test/Programs/SingleSource/Makefile.singlesrc ;;
+ test/Programs/SingleSource/UnitTests/SetjmpLongjmp/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/test/Programs/SingleSource/UnitTests/SetjmpLongjmp/Makefile test/Programs/SingleSource/UnitTests/SetjmpLongjmp/Makefile ;;
tools/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/tools/Makefile tools/Makefile ;;
utils/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/utils/Makefile utils/Makefile ;;
projects/Makefile ) ${SHELL} ${srcdir}/autoconf/install-sh -c ${srcdir}/projects/Makefile projects/Makefile ;;
@@ -23136,3 +23611,4 @@
{ echo "$as_me:$LINENO: WARNING: ***** but you should be able to build the llvm tools." >&5
echo "$as_me: WARNING: ***** but you should be able to build the llvm tools." >&2;}
fi
+
More information about the llvm-commits
mailing list